%define date	091218

Summary:	Open source real-time animation software
Name:		animata
Version:	004
Release:	%mkrel 12
License:	GPLv3
Group:		Graphics/Utilities
URL:		http://animata.kibu.hu/
Source0:	http://animata.googlecode.com/files/%{name}_%{version}-%{date}.tar.gz
Patch0:		animata-004-mdv-fix-FL-include-path.patch
Patch1:		animata-fltk-1.3.patch
Patch2:		animata-fix-includes.patch
Patch3:		animata-004-fix-missing-include-Xlib.patch
Patch4:		animata-scons3.patch
BuildRequires:	scons
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	x11-server-xvfb

%description
Animata is an open source real-time animation software, designed to create
animations, interactive background projections for concerts, theatre and dance
performances.

%files
%doc README AUTHORS CHANGES COPYING examples 
%{_bindir}/%{name}
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{name}.desktop

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}

sed -i -e "s|^LINKFLAGS =.*|LINKFLAGS = '%{ldflags}'|" src/SConscript

%build
%set_build_flags

%{_bindir}/xvfb-run -a \
%scons -j4

%install
%__mkdir -p %{buildroot}%{_bindir}
%__mkdir -p %{buildroot}%{_datadir}/icons/
cp build/%{name} %{buildroot}%{_bindir}
cp data/animata_icon.png %{buildroot}%{_datadir}/icons/%{name}.png

%__mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Animata
Comment=Open source real-time animation software
Exec=%{name}
Icon=%{name}
StartupNotify=true
Type=Application
Categories=3DGraphics;Graphics;Viewer;
EOF


%changelog
* Tue May 14 2024 daviddavid <daviddavid> 004-12.mga10
+ Revision: 2064047
- fix sed command

* Thu Mar 31 2022 umeabot <umeabot> 004-11.mga9
+ Revision: 1837673
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat Feb 22 2020 daviddavid <daviddavid> 004-10.mga8
+ Revision: 1549224
- fix build with scons 3.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Sep 21 2018 umeabot <umeabot> 004-9.mga7
+ Revision: 1294333
- Mageia 7 Mass Rebuild

* Thu Sep 28 2017 daviddavid <daviddavid> 004-8.mga7
+ Revision: 1161084
- patch4: fix build with scons 3.0

* Sun May 15 2016 daviddavid <daviddavid> 004-7.mga6
+ Revision: 1015825
- add a patch to fix build due to missing include X11/Xlib.h header

* Wed Feb 10 2016 umeabot <umeabot> 004-6.mga6
+ Revision: 953056
- Mageia 6 Mass Rebuild

* Sun Aug 16 2015 fwang <fwang> 004-5.mga6
+ Revision: 865070
- rebuild for new fltk

* Wed Oct 15 2014 umeabot <umeabot> 004-4.mga5
+ Revision: 750652
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 004-3.mga5
+ Revision: 677761
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 004-2.mga4
+ Revision: 529320
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 dams <dams> 004-1.mga4
+ Revision: 451517
- fix %%release

* Fri Jan 11 2013 umeabot <umeabot> 004-0.091218.8.mga3
+ Revision: 345554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 dmorgan <dmorgan> 004-0.091218.7.mga3
+ Revision: 327987
- Fix includes to build with new gcc

* Wed Aug 03 2011 fwang <fwang> 004-0.091218.6.mga2
+ Revision: 131529
- update file list
- use system compiile flags
- fix build with fltk 1.3
  Fl_Color is now unsigned int in fltk 1.3
- rebuild for new fltk
+ misc <misc>
- rebuild for fltk ( who has changed major ? )
+ dmorgan <dmorgan>
- Re introduce date macro
- Clean spec file

* Fri May 13 2011 mikala <mikala> 004-0.091218.3.mga1
+ Revision: 98283
- imported package animata


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 004-0.091218.2mdv2011.0
+ Revision: 609977
- rebuild

* Sat Mar 20 2010 John Balcaen <mikala@mandriva.org> 004-0.091218.1mdv2010.1
+ Revision: 525406
- Fix a typo in release tag
- Add xvfb as buildrequires
- import animata

